Get user details
GET
https://squid.livepush.io/account/this
Base URL https://squid.livepush.io — Accounts API server
Retrieves details of the currently authenticated user account. The response includes profile information, preferences, and basic billing metadata.
Authorization
Send a valid access token in the Authorization header.
bearerAuth— Bearer token (JWT)
Authorization: Bearer YOUR_API_TOKEN
Try it
Loading the request builder…
GET
https://squid.livepush.io/account/this
— This call only reads data.
Code samples
curl -X GET 'https://squid.livepush.io/account/this' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://squid.livepush.io/account/this', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
if (!response.ok) {
throw new Error(`Livepush API error ${response.status}`);
}
const data = await response.json();
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN',
}
response = requests.get('https://squid.livepush.io/account/this', headers=headers, timeout=30)
response.raise_for_status()
data = response.json()
Responses
Current user account details
-
idstring -
usernamestring -
namestring -
emailstring<email> -
avatarstring<uri> -
nsstring -
isDisabledboolean -
createdAtstring<date-time> -
preferencesobject -
billingInfoobject-
emailstring<email> -
namestring
-
{
"id": "RDHe2BXVP6d89",
"username": "congresstv24_xxxxx",
"name": "CONGRESS TV",
"email": "user@example.com",
"avatar": "https://example.com/avatar.jpg",
"ns": "nsL2BzkdFKgIYv",
"isDisabled": false,
"createdAt": "2026-01-31T09:00:00.000Z",
"preferences": {},
"billingInfo": {
"email": "billing@example.com",
"name": "John Doe"
}
}
Unauthorized